# Nodes & NFTs

> *Address:* [*0x83974355a82925fA0F84A9dD9C8fB022485cE2Ea*](https://polygonscan.com/address/0x83974355a82925fA0F84A9dD9C8fB022485cE2Ea#code)

The contracts in this section constitute the main components of the DIMO identity, implementing both general and specialized functionalities as nodes of the [previously mentioned tree structure](/protocol/identity-protocol/architecture.md#node-structure). Each node works in conjunction with a respective NFT. When the final user sees the NFT in their wallets, the nodes are responsible for managing all transactions behind the scenes to ensure DIMO's structural integrity.

Since there are multiple types of nodes and they all share the same storage, each contract has an `idProxyAddress` variable to distinguish one from the other and also has its own set of whitelisted attributes.

Regardless of specific functionalities, all nodes have functions that share similar goals. It is worth reminding everyone that, although the functions below perform comparable tasks, they have different names in each contract:

* ***setIdProxyAddress***: set the Id proxy address (NFT) to distinguish one contract from the other.
* ***addAttribute***: whitelist a new attribute.
* ***setInfo***: adds information to a specific node.
* ***mint***: mint the NFT itself. This is the function that most differs in each contract.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dimo.org/protocol/identity-protocol/nodes-and-nfts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
